<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class TindakanPenilai extends Model
{
    use HasFactory;

    protected $table = 'tindakan_penilai';

    protected $fillable = [
        'laporan_id',
        'penilai_id',
        'sidang_etik_detail',
        'cek_plagiat_score',
        'rekomendasi_sanksi',
        'sidang_etik_hari',
        'sidang_etik_tanggal',
        'sidang_etik_jam',
    ];

    public function laporan(): BelongsTo
    {
        return $this->belongsTo(Laporan::class);
    }

    public function penilai(): BelongsTo
    {
        return $this->belongsTo(User::class, 'penilai_id');
    }
}
